module "werts_budibase_oidc_client" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "budibase"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://bb.strudelline.net/api/global/auth/oidc/callback"]

  vault_secret_name = "k8s-ns/budibase/werts-oidc"
}

output "budibase_client_id" {
    value = module.werts_budibase_oidc_client
    sensitive = true
}
