module "werts_concourse_oidc_client" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "concourse"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://cc.strudelline.net/*"]
}

output "concourse_client_id" {
    value = module.werts_concourse_oidc_client
    sensitive = true
}
