module "client_frigate" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "frigate"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://frigate.strudelline.net/oauth2/callback"]

  kubernetes_secret_name = "oidc-client"
  kubernetes_secret_namespace = "frigate"
}

output "frigate_client_id" {
    value = module.client_frigate
    sensitive = true
}
