module "client_grafana" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "grafana"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://grafana.strudelline.net/login/generic_oauth"]
}

output "grafana_client_id" {
    value = module.client_grafana
    sensitive = true
}
