module "client_longhorn" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "longhorn"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://longhorn.strudelline.net/oauth2/callback"]

  kubernetes_secret_name = "oidc-client"
  kubernetes_secret_namespace = "longhorn-system"
}

output "longhorn" {
    value = module.client_longhorn
    sensitive = true
}
