module "werts_minio_oidc_client" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "minio"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://minio-admin.strudelline.net/oauth_callback"]

  vault_secret_name = "noctowl-docker-services/minio/werts-oidc"
}

output "minio_client_id" {
    value = module.werts_minio_oidc_client
    sensitive = true
}
