module "werts_peertube_oidc_client" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "peertube"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://tube.werts.us/plugins/auth-openid-connect/router/code-cb"]

  vault_secret_name = "k8s-ns/peertube/werts-oidc"
}

output "peertube_client_id" {
    value = module.werts_peertube_oidc_client
    sensitive = true
}
