module "client_tubearchivist" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "tubearchivist"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://tubearchivist.strudelline.net/oauth2/callback"]

  kubernetes_secret_name = "oidc-client"
  kubernetes_secret_namespace = "tubearchivist"
}

output "tubearchivist" {
    value = module.client_tubearchivist
    sensitive = true
}
