if (.kind? == "Deployment" and .apiVersion? == "apps/v1" and 
       (.metadata.name? == "app-service" or .metadata.name? == "worker-service")) then
  .spec.template.spec.containers //= []
  | .spec.template.spec.containers += [{
    "name": "kubectl-proxy",
    "image": "bitnami/kubectl:1.28.2",
    "args": ["proxy", "--token", "$(TOKEN)"],
    "env": [
      {
        "name": "TOKEN",
        "valueFrom": {
          "secretKeyRef": {
            "name": "budibase-sa",
            "key": "token"
          }
        }
      }
    ]
  }]
else
  .
end
