module "werts_nodered1_oidc_client" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "node-red-1"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://red-1.werts.us/oauth2/callback"]

  vault_secret_name = "k8s-ns/node-red/node-red-1-werts-oidc"
}
