module "client_tubesync" {
  source = "./oidc-client"

  realm_id       = keycloak_realm.werts.id
  client_id      = "tubesync"
  keepers        = { epoch = 1 }
  redirect_uris  = ["https://tubesync.strudelline.net/oauth2/callback"]

  kubernetes_secret_name = "oidc-client"
  kubernetes_secret_namespace = "tubesync"
}

output "tubesync" {
    value = module.client_tubesync
    sensitive = true
}
