provider "keycloak" {
    client_id     = "admin-cli"
    url           = "https://auth.werts.us"
    username      = data.kubernetes_secret_v1.keycloak_admin.data.username
    password      = data.kubernetes_secret_v1.keycloak_admin.data.password
    initial_login = false
}

data "kubernetes_secret_v1" "keycloak_admin" {
  metadata {
    name = "keycloak-admin"
    namespace = "keycloak"
  }
}

provider "kubernetes" {
  config_path    = "~/.kube/config"
  config_context = "mew"
}

#provider "vault" {
#  address = "https://vault.strudelline.net"
#}
