helm repo add nvidia-k8s-device-plugin https://nvidia.github.io/k8s-device-plugin
helm upgrade -i -n kube-system --create-namespace \
  --set runtimeClassName=nvidia \
  --set gfd.enabled=true \
  nvidia-device-plugin nvidia-k8s-device-plugin/nvidia-device-plugin

kubectl apply -f - << EOF
apiVersion: node.k8s.io/v1
kind: RuntimeClass
metadata:
  name: nvidia
handler: nvidia
EOF
